version: '3'
services:
  redis:
    image: redis
    container_name: docker_redis
    volumes:
      - ./datadir:/data
      - ./conf/redis.conf:/usr/local/etc/redis/redis.conf
      - ./logs:/logs
    ports:
      - 6379:6379
    command: redis-server --requirepass 123456
